Bug 177263 - MMC/SD Cards with lock switch will not mount rw
MMC/SD Cards with lock switch will not mount rw
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-08 09:13 EST by Andrew Meredith
Modified: 2015-01-04 17:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:38:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Meredith 2006-01-08 09:13:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.12) Gecko/20050921 Red Hat/1.0.7-1.4.1 Firefox/1.0.7

Description of problem:
SD cards with no lock switch exhibit no problem. The cards that have a lock switch on the side cannot be mounted, formatted or fdisk-ed as the kernel wrongly asumes that the switch is set to lock, whichever position it is actually in.

Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1381_FC3

How reproducible:
Always

Steps to Reproduce:
1. Mount SD card
2. Try to write data

  

Actual Results:  Was told it was a "Read only filesystem"

Expected Results:  Data should write to SD card.

Additional info:
Comment 1 Dave Jones 2006-01-16 17:22:55 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 2 Dave Jones 2006-02-03 01:41:44 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 3 Andrew Meredith 2006-02-05 14:03:07 EST
Kernel version now as requested. Problem persists.

dmesg output for genuinely locked device

usb 1-5: new high speed USB device using ehci_hcd and address 5
scsi4 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 5
usb-storage: waiting for device to settle before scanning
  Vendor: Generic   Model: STORAGE DEVICE    Rev: 0128
  Type:   Direct-Access                      ANSI SCSI revision: 00
SCSI device sdb: 1935360 512-byte hdwr sectors (991 MB)
sdb: Write Protect is on
sdb: Mode Sense: 02 00 80 00
sdb: assuming drive cache: write through
SCSI device sdb: 1935360 512-byte hdwr sectors (991 MB)
sdb: Write Protect is on
sdb: Mode Sense: 02 00 80 00
sdb: assuming drive cache: write through
 sdb: sdb1
sd 4:0:0:0: Attached scsi removable disk sdb
  Vendor: Generic   Model: STORAGE DEVICE    Rev: 0128
  Type:   Direct-Access                      ANSI SCSI revision: 00
SCSI device sdc: 1935360 512-byte hdwr sectors (991 MB)
sdc: Write Protect is on
sdc: Mode Sense: 02 00 80 00
sdc: assuming drive cache: write through
SCSI device sdc: 1935360 512-byte hdwr sectors (991 MB)
sdc: Write Protect is on
sdc: Mode Sense: 02 00 80 00
sdc: assuming drive cache: write through
 sdc: sdc1
sd 4:0:0:1: Attached scsi removable disk sdc
usb-storage: device scan complete

dmesg for unlocked device

usb 1-5: new high speed USB device using ehci_hcd and address 6
scsi5 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 6
usb-storage: waiting for device to settle before scanning
  Vendor: Generic   Model: STORAGE DEVICE    Rev: 0128
  Type:   Direct-Access                      ANSI SCSI revision: 00
SCSI device sdb: 1935360 512-byte hdwr sectors (991 MB)
sdb: Write Protect is on
sdb: Mode Sense: 02 00 80 00
sdb: assuming drive cache: write through
SCSI device sdb: 1935360 512-byte hdwr sectors (991 MB)
sdb: Write Protect is on
sdb: Mode Sense: 02 00 80 00
sdb: assuming drive cache: write through
 sdb: sdb1
sd 5:0:0:0: Attached scsi removable disk sdb
  Vendor: Generic   Model: STORAGE DEVICE    Rev: 0128
  Type:   Direct-Access                      ANSI SCSI revision: 00
SCSI device sdc: 1935360 512-byte hdwr sectors (991 MB)
sdc: Write Protect is on
sdc: Mode Sense: 02 00 80 00
sdc: assuming drive cache: write through
SCSI device sdc: 1935360 512-byte hdwr sectors (991 MB)
sdc: Write Protect is on
sdc: Mode Sense: 02 00 80 00
sdc: assuming drive cache: write through
 sdc: sdc1
sd 5:0:0:1: Attached scsi removable disk sdc
usb-storage: device scan complete
SELinux: initialized (dev sdc1, type vfat), uses genfs_contexts

Both cycles end in a mounted device:

  /dev/sdc1 on /media/usbdisk type vfat
(ro,nosuid,nodev,_netdev,fscontext=system_u:object_r:removable_t,utf8,user=meredith)

Device is an 8 in 1 Digital media reader from Packard Bell. lsusb says:

  Bus 001 Device 006: ID 07d0:1202 Dazzle

Mount it read/write:

  mount -o remount,rw /media/usbdisk/

And drive becomes rw and indeed can be written.

Comment 4 Dave Jones 2006-09-16 21:57:17 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 5 Dave Jones 2006-10-16 16:48:52 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 6 Jon Stanley 2008-01-19 23:38:28 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.